# Record TOSVersionInfoEx

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TOSVersionInfoEx = record`

## Description

Record used with RtlGetVersion to get the Windows version information.

<see href="https://learn.microsoft.com/en-us/windows-hardware/drivers/ddi/wdm/ns-wdm-_osversioninfoexw">See the OSVERSIONINFOEXW structure.)

## Overview

### Fields

| `dwOSVersionInfoSize: DWORD;`
| `dwMajorVersion: DWORD;`
| `dwMinorVersion: DWORD;`
| `dwBuildNumber: DWORD;`
| `dwPlatformId: DWORD;`
| `szCSDVersion: array[0..127] of WideChar;`
| `wServicePackMajor: WORD;`
| `wServicePackMinor: WORD;`
| `wSuiteMask: WORD;`
| `wProductType: BYTE;`
| `wReserved:BYTE;`

## Description

### Fields

| `dwOSVersionInfoSize: DWORD;`
This item has no description.

| `dwMajorVersion: DWORD;`
This item has no description.

| `dwMinorVersion: DWORD;`
This item has no description.

| `dwBuildNumber: DWORD;`
This item has no description.

| `dwPlatformId: DWORD;`
This item has no description.

| `szCSDVersion: array[0..127] of WideChar;`
This item has no description.

| `wServicePackMajor: WORD;`
This item has no description.

| `wServicePackMinor: WORD;`
This item has no description.

| `wSuiteMask: WORD;`
This item has no description.

| `wProductType: BYTE;`
This item has no description.

| `wReserved:BYTE;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.